libdevice User's Guide (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.228. __nv_longlong_as_double

Prototype:

    double @__nv_longlong_as_double(i64 %x)

Description:

Reinterpret the bits in the 64-bit signed integer value `x` as a double-precision floating point value.

Returns:

Returns reinterpreted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes